package controler;

import view.JFrameVideoSample1;

/**
 * <pre>
 * On ne peut avoir qu'un seul controleur en MVC 2.
 * 
 * Un positionnement absolu (<code>setLayout(null)</code>)
 * ne doit tre utilis que dans un des cas suivants. Lorsque le <code>JFrame</code> :
 *   <b>est non redimensionnable</b> ;
 *   est compos exclusivement d'lments dont la taille n'est pas affecte ;
 *    par le redimensionnement du conteneur ou ;
 *    par la modificaiton de la police, du <i>look and Feel</i> ou ;
 *    par le changement du langage ;
 *   est compos exclusivement de <code>JInternalFrame</code> ;
 *   est compos exclusivement de <code>JSplitPane</code> ;
 *   est compos exclusivement de conteneurs personnaliss qui effectuent
 *    des calculs de tailles et de positions qui sont relatives au contenant.
 * 
 * Il est conseill d'utiliser de prfrence un <i>Layout</i> (pas de positionnement absolu)
 * chaque fois que cela est possible. Cependant, un positionnement absolu est utilis dans 
 * les exemples de cette application car les <code>JFrame</code> sont toujours non redimensionnables
 * et afin de permettre une utilisation simplifie d'diteurs <i>GUI</i> comme WindowBuilder.
 * 
 * Pour intgrer de la vido dans une application Java, il faut utiliser 
 * l'environnement de dveloppement pour la vido avec Java : le Software
 * Development Kit de Java Media Framework (SDK de JMF) :
 * <a href='http://www.oracle.com/technetwork/java/javase/tech/index-jsp-140239.html'>La page initiale de la technologie Java Media Framework</a>
 * <a href='https://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/ViewFilteredProducts-SingleVariationTypeFilter'>La page initiale pour le tlchargement de cette technologie.</a>
 * 
 * Aprs avoir tlcharger le SDK de JMF, il faut l'ajouter au projet Java.
 * 
 * En rgle gnrale la charpente du code d'un programme JMF est :
 *   on rcupre le lecteur vido
 *   on associe  l'applet un controller d'vnements multimdia (ce peut tre elle mme)
 *   on fait afficher la partie image et la partie contrle de la vido par l'applet
 *   lorsque l'utilisateur clique le bouton dmarre, la vido est lance, ventuellement en boucle
 *  
 * JMF prend en charge peu de formats. Voici la liste des formats fonctionnels (mme avec une configuration minimale) :
 *  - Format mov, Codec mjpeg, BitRate 2500, Frame 25, sans audio
 * </pre>
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 */
public class BasicMainControler {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// Dcommenter une seule des lignes suivantes  la fois pour tester les diffrentes applications exemples
		
		new JFrameVideoSample1().setVisible(true);
	}
}